Subject: [Sigtran] Doubt abt usage of NOTIFY message.

From: "Mohammad Arif" <[email-masked]>
Date: Fri, 26 Oct 2007 09:59:12 +0530

Hi All,

I have a scenario where in there are just two IPSPs ( IPSP1 and IPSP2) and
each IPSP has just one AS.
So do i need to send NOTIFY messages for change in IPSP AS states or just
sending ASP_ACTIVE ans ASP_INACTIVE messages to remote IPSP is enough?
I think NOTIFY messages will come into picture only if there are more than
two IPSPs.

-- 
Regards
Mohammad Arif
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Ankit Kumar Sharma" <[email-masked]>
Date: Fri, 26 Oct 2007 08:43:47 +0100

Arif,

> sending ASP_ACTIVE ans ASP_INACTIVE messages to remote IPSP is enough?

As per protocol, you must send notify message to indicate changes in AS
state. Please refer to section 4.3.4.5 of RFC 4666 for more details.

> two IPSPs.

Cheers,
Ankit

---

From: "Mohammad Arif" <[email-masked]>
Date: Fri, 26 Oct 2007 13:48:46 +0530

Hi Ankit,
Thanks,
That means after sending ASP ACTIVE/ ASP INACTIVE we have to immediately
send NOTIFY?
Sending ASP ACTIVE means that particular AS is active so why sending Notify
message again?.
Its like using 2 messages to do one job....

I will be very grateful if you clarify this.

Thanks

On 10/26/07, Ankit Kumar Sharma <[email-masked]> wrote:
> > I have a scenario where in there are just two IPSPs ( IPSP1 and IPSP2)
> > and each IPSP has just one AS.
> > So do i need to send NOTIFY messages for change in IPSP AS states or
> > just sending ASP_ACTIVE ans ASP_INACTIVE messages to remote IPSP is enough?
> >
>
>  I think NOTIFY messages will come into picture only if there are more
> > than two IPSPs.
> >
> >
> >
> > --
> > Regards
> > Mohammad Arif
> >
>
> Cheers,
> Ankit
>
>

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 26 Oct 2007 08:25:02 -0600

Mohammad,

What's to clarify?  You MUST send NOTIFY when AS state changes.

So send them.

--brian

Mohammad Arif wrote:                                             (Fri, 26 Oct 2007 13:48:46)
> 
>    Hi Ankit,
> 
>    Thanks,
> 
>    That  means  after  sending  ASP  ACTIVE/  ASP  INACTIVE  we  have  to
>    immediately send NOTIFY?
> 
>    Sending  ASP  ACTIVE means that particular AS is active so why sending
>    Notify message again?.
> 
>    On 10/26/07, Ankit Kumar Sharma <[1][email-masked]> wrote:
> 
>      Arif,
> 
>    On 10/26/07, Mohammad Arif <[2] [email-masked]> wrote:
> 
>    Hi All,
> 
> 
> 
>    As  per  protocol, you must send notify message to indicate changes in
>    AS  state.  Please  refer  to  section [3]4.3.4.5 of RFC 4666 for more
>    details.
> 
> References
>    1. mailto:[email-masked]
>    2. mailto:[email-masked]
>    3. http://4.3.4.5/

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Ankit Kumar Sharma" <[email-masked]>
Date: Fri, 26 Oct 2007 20:47:46 +0100

Arif,

> That means after sending ASP ACTIVE/ ASP INACTIVE we have to immediately

No, you may send Notify after sending ASP Active ACK/ASP INActive Ack

> Its like using 2 messages to do one job....

Example which you have described is a very basic one, but every
protocol should be able to handle complex scenarios as well.

 Just think of a scenario where your AS has 4 ASPs and SGP/IPSP
thinks(configured) that at least two of them should be in Active state to
handle traffic for that AS. In this case after sending ASP-Active-Ack for
first ASP, SGP has every right to hold Notify message until it receives
ASP-Active from any other ASP. After which SGP/IPSP could notify the new
state of AS to respective ASPs. Please read RFC section 4.3.4 for more
details.

> > On 10/26/07, Mohammad Arif < [email-masked]> wrote:
> > >
> > > Hi All,
> > >

---

From: "Mohammad Arif" <[email-masked]>
Date: Mon, 29 Oct 2007 05:42:13 +0530

Hi Ankit,
Thanks for your reply.
Its clear for me now.

On 10/27/07, Ankit Kumar Sharma <[email-masked]> wrote:
> > On 10/26/07, Ankit Kumar Sharma <[email-masked] > wrote:
> > >
> > > Arif,
> > >
> > > On 10/26/07, Mohammad Arif < [email-masked] > wrote:
> > > >
> > > > Hi All,
> > > >
> > > > I have a scenario where in there are just two IPSPs ( IPSP1 and
> > > > IPSP2) and each IPSP has just one AS.
> > > AS state. Please refer to section 4.3.4.5 of RFC 4666 for more
> > > details.
> > >